Package ru.bitel.bgbilling.kernel.contract.balance.server.event

# Class PaymentEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.contract.balance.server.event.PaymentEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class PaymentEvent
    extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

Асинхронное событие - занесения платежа в договор.
Вызывается после поступления на счет договора платежа, изменения баланса и выполнения всех событий, связанных с приходом платежа самим биллингом.
Унаследован от `QueueEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `PaymentEvent()` |
  `` | `PaymentEvent​(int userId, Payment payment)` | Конструктор события. Задает режим события платежа как создание платежа.
  `` | `PaymentEvent​(int userId, Payment payment, boolean editMode)` | Конструкор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Payment` | `getPayment()` | Возвращает платеж, занесенный в договор.
  `int` | `getTypeId()` | Deprecated.
  `boolean` | `isEditMode()` | Возвращает режим события платежа

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PaymentEvent

    protected PaymentEvent()

  - ### PaymentEvent

    public PaymentEvent​(int userId, Payment payment)
    Конструктор события.
    Задает режим события платежа как создание платежа.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `payment` - - платеж договора

  - ### PaymentEvent

    public PaymentEvent​(int userId, Payment payment, boolean editMode)
    Конструкор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `payment` - - платеж договора
      `editMode` - - режим события платежа.

- ## Method Details

  - ### getPayment

    public Payment getPayment()
    Возвращает платеж, занесенный в договор.
    Returns:
      payment платеж договора

  - ### isEditMode

    public boolean isEditMode()
    Возвращает режим события платежа
    Returns:
      editMode - true - если платеж редактируется; false - если создается

  - ### getTypeId

    @Deprecated public int getTypeId()
    Deprecated.
    Использовать проверку instanceof.
    Overrides:
      `getTypeId` in class `ru.bitel.bgbilling.kernel.event.common.Event`